summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Wagner2010-05-11 14:03:46 +0200
committer Michiel van Wessem2010-05-11 14:03:46 +0200
commitbd0040f376fec28cc1abf50b0a6b0031aff71fbf (patch)
tree3ce9f98ddab72657945c388ba0ba9c2bdeefe9b7 /desktop
parent9eaa3fe75e5dc4836461ebc68ceac848121d0d01 (diff)
downloadslackbuilds-bd0040f376fec28cc1abf50b0a6b0031aff71fbf.tar.gz
desktop/icon-naming-utils: Initial import
Diffstat (limited to 'desktop')
-rw-r--r--desktop/icon-naming-utils/README10
-rw-r--r--desktop/icon-naming-utils/icon-naming-utils.SlackBuild78
-rw-r--r--desktop/icon-naming-utils/icon-naming-utils.info8
-rw-r--r--desktop/icon-naming-utils/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/desktop/icon-naming-utils/README b/desktop/icon-naming-utils/README
new file mode 100644
index 0000000000..d8ea17efce
--- /dev/null
+++ b/desktop/icon-naming-utils/README
@@ -0,0 +1,10 @@
+Icon-naming-utils generate icon files for your DE
+
+It is a script for maintaining backwards compatibility with
+current desktop icon themes while migrating to the names
+specified in the Icon Naming Specification.
+See http://www.freedesktop.org/wiki/Standards_2ficon_2dnaming_2dspec
+
+Icon-naming-utils needs the XML::Simple perl module, which is
+available at SlackBuilds.org as xml-simple.
+
diff --git a/desktop/icon-naming-utils/icon-naming-utils.SlackBuild b/desktop/icon-naming-utils/icon-naming-utils.SlackBuild
new file mode 100644
index 0000000000..553459cf11
--- /dev/null
+++ b/desktop/icon-naming-utils/icon-naming-utils.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+#
+# Slackware Build Script for icon-naming-utils
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=icon-naming-utils
+VERSION=0.8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root . || true
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Someone is smoking some good stuff... let's put the pkgconfig directory
+# where it belongs
+mkdir -p $PKG/usr/lib
+mv $PKG/usr/share/pkgconfig $PKG/usr/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/icon-naming-utils/icon-naming-utils.info b/desktop/icon-naming-utils/icon-naming-utils.info
new file mode 100644
index 0000000000..20682a687a
--- /dev/null
+++ b/desktop/icon-naming-utils/icon-naming-utils.info
@@ -0,0 +1,8 @@
+PRGNAM="icon-naming-utils"
+VERSION="0.8.2"
+HOMEPAGE="tango.freedesktop.org"
+DOWNLOAD="http://tango-project.org/releases/icon-naming-utils-0.8.2.tar.gz"
+MD5SUM="76e6afde567bd17b4fe095aa0ec90531 "
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k},rworkman"
diff --git a/desktop/icon-naming-utils/slack-desc b/desktop/icon-naming-utils/slack-desc
new file mode 100644
index 0000000000..a80267f003
--- /dev/null
+++ b/desktop/icon-naming-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+icon-naming-utils: icon-naming-utils (generate icon files for your DE)
+icon-naming-utils:
+icon-naming-utils: It is a script for maintaining backwards compatibility with
+icon-naming-utils: current desktop icon themes, while migrating to the names
+icon-naming-utils: specified in the Icon Naming Specification.
+icon-naming-utils:
+icon-naming-utils: Homepage: http://tango.freedesktop.org
+icon-naming-utils:
+icon-naming-utils:
+icon-naming-utils:
+icon-naming-utils: